/* albin - Gestione completa alberi binari
 *
 * Copyright (C) 2003 Giuseppe Caulo <giusc@gbss.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _GLOB_H
#define _GLOB_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#ifdef _WIN32
/*
#include <stdarg.h>
//#error "Il programma ha bisogno di maggiore porting per win32"
static void PRINT_DEBUG(char *text, ...)
{
	fprintf(stdout, text);
}
static void PRINT_ERR(char *text, ...)
{
	fprintf(stderr, text);
}
static void PRINT(char *text, ...)
{
	char buf[4096];
	va_list v;
	va_start(v, text);
	_vsnprintf(buf, 4096, text, v);
	va_end(v);
	fprintf(stdout, "%s", buf);
}*/
#define PRINT_DEBUG printf
#define PRINT_ERR printf
#define PRINT printf
#else
#define PRINT_DEBUG(text...) fprintf(stdout, "(debug) " ##text)
#define PRINT_ERR(text...) fprintf(stderr, ##text)
#define PRINT(text...) fprintf(stdout, ##text)
#endif

#ifdef MAXBUFF
# undef MAXBUFF
#endif

#define MAX_BUFF 512
#define MAX_PARAMS 8

#define PROMPT "albin>"
#define SEP printf("-\n")

#define VERSION "0.8.0"
#define COPY "Alberi binari v" VERSION " by Giuseppe Caulo <giusc@softzone.it>\n" \
		"Universita' degli studi di Basilicata (MATR: 19778)\n"


typedef int data;
typedef enum { False, True } boolean;
typedef unsigned long uint32;

void fatal(const char *, int);

#endif /* _GLOB_H */
